<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;
/**
 * Hook: woocommerce_before_single_product.
 *
 * @hooked woocommerce_output_all_notices - 10
 */
do_action( 'woocommerce_before_single_product' );

if ( post_password_required() ) {
    echo get_the_password_form(); // WPCS: XSS ok.
    return;
}
$galleryImages = array();
$galleryImagesIds = $product->get_gallery_image_ids();
if (!empty($galleryImagesIds)) {
    foreach ( $galleryImagesIds as $key => $attachment_id ) {
        if ($attachment_id) {
            if (get_post_meta( $attachment_id, '_woocommerce_exclude_image', true ) == 1)
                continue;
            $galleryImages[] = wp_get_attachment_url($attachment_id);
        }
    }
}

$product_type = $product->get_type();
if ($product_type === 'variable') {
    wp_enqueue_script( 'wc-add-to-cart-variation' );
    $get_variations = sizeof( $product->get_children() ) <= apply_filters( 'woocommerce_ajax_variation_threshold', 30, $product );
} else { ?>
    <div class="productForm" style="display:none;"><?php woocommerce_template_single_add_to_cart(); ?></div><?php
} ?>
<div id="product-<?php the_ID(); ?>" <?php wc_product_class( '', $product ); ?>>
        <?php $skip_min_height = false; ?><section class="u-align-center u-clearfix u-section-1" id="sec-a1c3">
  <div class="u-clearfix u-sheet u-valign-middle u-sheet-1"><!--product--><!--product_options_json--><!--{"source":""}--><!--/product_options_json--><!--product_item-->
    <div class="u-container-style u-expanded-width u-product u-shape-rectangle u-product-1">
      <div class="u-container-layout u-container-layout-1"><?php
$maxItemsProductgallery = '';
?>

        <?php 
                    if ($maxItemsProductgallery && count($galleryImages) > (int) $maxItemsProductgallery) {
                        $galleryImages = array_slice($galleryImages, 0, (int) $maxItemsProductgallery);
                    }
                    if (count($galleryImages) < 1): ?><style>
                    .u-gallery-1 *{
                        display: none !important;
                    }
                    </style><?php endif; ?><div class="u-carousel u-gallery u-layout-thumbnails u-lightbox u-no-transition u-product-control u-product-zoom u-show-text-none u-thumbnails-position-bottom u-gallery-1" data-interval="5000" data-u-ride="carousel" id="carousel-6016" data-max-items="">
          <div class="u-carousel-inner u-gallery-inner" role="listbox"><!--product_gallery_item-->
            <?php foreach($galleryImages as $index => $galleryImage): ?><div class=" u-carousel-item u-gallery-item<?php echo ($index === 0 ? " u-active": ""); ?>">
              <div class="u-back-slide">
                <img class="u-back-image u-expanded" src="<?php echo $galleryImage; ?>">
              </div>
              <div class="u-over-slide u-over-slide-1">
                <h3 class="u-gallery-heading">Sample Title</h3>
                <p class="u-gallery-text">Sample Text</p>
              </div>
            </div><?php endforeach; ?><!--/product_gallery_item--><!--product_gallery_item-->
            <!--/product_gallery_item-->
          </div>
          <a class="u-carousel-control u-carousel-control-prev u-icon-circle u-opacity u-opacity-70 u-text-grey-60 u-text-hover-grey-75 u-carousel-control-1" href="#carousel-6016" role="button" data-u-slide="prev">
            <span aria-hidden="true">
              <svg viewBox="0 0 477.175 477.175"><path d="M145.188,238.575l215.5-215.5c5.3-5.3,5.3-13.8,0-19.1s-13.8-5.3-19.1,0l-225.1,225.1c-5.3,5.3-5.3,13.8,0,19.1l225.1,225
		c2.6,2.6,6.1,4,9.5,4s6.9-1.3,9.5-4c5.3-5.3,5.3-13.8,0-19.1L145.188,238.575z"></path></svg>
            </span>
            <span class="sr-only">
              <svg viewBox="0 0 477.175 477.175"><path d="M145.188,238.575l215.5-215.5c5.3-5.3,5.3-13.8,0-19.1s-13.8-5.3-19.1,0l-225.1,225.1c-5.3,5.3-5.3,13.8,0,19.1l225.1,225
		c2.6,2.6,6.1,4,9.5,4s6.9-1.3,9.5-4c5.3-5.3,5.3-13.8,0-19.1L145.188,238.575z"></path></svg>
            </span>
          </a>
          <a class="u-carousel-control u-carousel-control-next u-icon-circle u-opacity u-opacity-70 u-text-grey-60 u-text-hover-grey-75 u-carousel-control-2" href="#carousel-6016" role="button" data-u-slide="next">
            <span aria-hidden="true">
              <svg viewBox="0 0 477.175 477.175"><path d="M360.731,229.075l-225.1-225.1c-5.3-5.3-13.8-5.3-19.1,0s-5.3,13.8,0,19.1l215.5,215.5l-215.5,215.5
		c-5.3,5.3-5.3,13.8,0,19.1c2.6,2.6,6.1,4,9.5,4c3.4,0,6.9-1.3,9.5-4l225.1-225.1C365.931,242.875,365.931,234.275,360.731,229.075z"></path></svg>
            </span>
            <span class="sr-only">
              <svg viewBox="0 0 477.175 477.175"><path d="M360.731,229.075l-225.1-225.1c-5.3-5.3-13.8-5.3-19.1,0s-5.3,13.8,0,19.1l215.5,215.5l-215.5,215.5
		c-5.3,5.3-5.3,13.8,0,19.1c2.6,2.6,6.1,4,9.5,4c3.4,0,6.9-1.3,9.5-4l225.1-225.1C365.931,242.875,365.931,234.275,360.731,229.075z"></path></svg>
            </span>
          </a>
          <ol class="u-carousel-thumbnails u-spacing-20 u-carousel-thumbnails-1"><!--product_gallery_thumbnail-->
            <?php foreach($galleryImages as $key => $galleryImage): ?><li class="u-active u-carousel-thumbnail u-radius-8" data-u-target="#carousel-6016" data-u-slide-to="<?php echo $key; ?>" style="width: 100px; height: 100px;">
              <img class="u-carousel-thumbnail-image u-image" src="<?php echo $galleryImage; ?>">
            </li><?php endforeach; ?><!--/product_gallery_thumbnail--><!--product_gallery_thumbnail-->
            <!--/product_gallery_thumbnail-->
          </ol>
        </div><!--product_title-->
        <h2 class="u-product-control u-text u-text-grey-75 u-text-1">
          <a class="u-product-title-link" href="<?php the_permalink(); ?>"><?php echo $product->get_title(); ?></a>
        </h2><!--/product_title--><!--product_price-->
        <div class="u-product-control u-product-price u-product-price-1">
          <div class="u-price-wrapper u-spacing-10"><!--product_old_price-->
            <div class="u-hide-price u-old-price" style="text-decoration: line-through !important;"><?php $regularPrice = wc_price($product->get_regular_price()); if ($product->get_regular_price() !== '') { echo $regularPrice; } ?></div><!--/product_old_price--><!--product_regular_price-->
            <div class="u-price u-text-grey-75" style="font-size: 1.5rem; font-weight: 700;"><?php if($product->is_type('variable')) { if ($product->get_variation_sale_price( 'min', true ) && $product->get_variation_sale_price( 'max', true )) { echo wc_price($product->get_variation_sale_price( 'min', true )) . ' - ' . wc_price($product->get_variation_sale_price( 'max', true ));} else { echo wc_price(false); } } else {echo wc_price($product->get_price());} ?></div><!--/product_regular_price-->
          </div>
        </div><!--/product_price--><!--product_content-->
        <div class="u-product-control u-product-desc u-text u-text-grey-75 u-text-2"><?php echo theme_trim_long_str(getProductDesc($product), 150); ?></div><!--/product_content--><?php
$clickTypeProductbutton = 'add-to-cart';
$contentProductbutton = '';
?>

        <?php if (!$product->is_in_stock()) { ?>
					    <p class="stock out-of-stock"><?php echo esc_html( apply_filters( 'woocommerce_out_of_stock_message', __( 'This product is currently out of stock and unavailable.', 'woocommerce' ) ) ); ?></p><?php } else { if($product_type !== "external") {
                    echo getProductButtonHtml('<a class="u-border-2 u-border-custom-color-7 u-btn u-btn-round u-button-style u-hover-custom-color-7 u-none u-product-control u-radius-4 u-text-custom-color-7 u-text-hover-custom-color-3 u-btn-1">{AddToCartText}</a>', $product, $clickTypeProductbutton, $contentProductbutton); } }?>
      </div>
    </div><!--/product_item--><!--/product-->
  </div>
</section><?php if ($skip_min_height) { echo "<style> .u-section-1, .u-section-1 .u-sheet {min-height: auto;}</style>"; } ?>

</div>

<?php do_action( 'woocommerce_after_single_product' ); ?>
